Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class MethodDeclarations

    java.lang.Object
      org.jboss.cache.pojo.impl.MethodDeclarations

    public class MethodDeclarations

extends Object

Method declarations for rollback method mostly.

Version:
  $Revision: 6554 $
Author:
  Ben Wang

Field Summary
`static Method` | `attachArray`
`static Method` | `attachInterceptor`
`static Method` | `decrementReferenceCount`
`static Method` | `detachArray`
`static Method` | `detachCollectionInterceptor`
`static Method` | `detachInterceptor`
`static Method` | `incrementReferenceCount`
`static Method` | `inMemorySubstitution`
`static Method` | `undoAttachArray`
`static Method` | `undoAttachInterceptor`
`static Method` | `undoDecrementReferenceCount`
`static Method` | `undoDetachArray`
`static Method` | `undoDetachCollectionInterceptor`
`static Method` | `undoDetachInterceptor`
`static Method` | `undoIncrementReferenceCount`
`static Method` | `undoInMemorySubstitution`

Constructor Summary
`MethodDeclarations()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attachInterceptor

    public static final Method attachInterceptor

### detachInterceptor

    public static final Method detachInterceptor

### detachCollectionInterceptor

    public static final Method detachCollectionInterceptor

### undoAttachInterceptor

    public static final Method undoAttachInterceptor

### undoDetachInterceptor

    public static final Method undoDetachInterceptor

### undoDetachCollectionInterceptor

    public static final Method undoDetachCollectionInterceptor

### inMemorySubstitution

    public static final Method inMemorySubstitution

### undoInMemorySubstitution

    public static final Method undoInMemorySubstitution

### incrementReferenceCount

    public static final Method incrementReferenceCount

### decrementReferenceCount

    public static final Method decrementReferenceCount

### undoIncrementReferenceCount

    public static final Method undoIncrementReferenceCount

### undoDecrementReferenceCount

    public static final Method undoDecrementReferenceCount

### attachArray

    public static final Method attachArray

### detachArray

    public static final Method detachArray

### undoAttachArray

    public static final Method undoAttachArray

### undoDetachArray

    public static final Method undoDetachArray

Constructor Detail

### MethodDeclarations

    public MethodDeclarations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.